Bug 454747 - Plasma crashed on Wayland in KIO::PasteJobPrivate::PasteJobPrivate() after drag-and-drop from Firefox to desktop
Summary: Plasma crashed on Wayland in KIO::PasteJobPrivate::PasteJobPrivate() after dr...
Status: RESOLVED FIXED
Alias: None
Product: frameworks-kio
Classification: Unclassified
Component: general (show other bugs)
Version: 5.94.0
Platform: Neon Packages Linux
: NOR crash
Target Milestone: ---
Assignee: KIO Bugs
URL:
Keywords: drkonqi, wayland
: 456136 (view as bug list)
Depends on:
Blocks:
 
Reported: 2022-06-02 13:08 UTC by Patrick Silva
Modified: 2022-07-16 03:53 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.97


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2022-06-02 13:08:38 UTC
Application: plasmashell (5.25.80)

Qt Version: 5.15.4
Frameworks Version: 5.95.0
Operating System: Linux 5.13.0-44-generic x86_64
Windowing System: Wayland
Distribution: KDE neon Unstable Edition
DrKonqi: 5.25.80 [CoredumpBackend]

-- Information about the crash:
I repeatedly tried to drag a jpg file from Firefox running natively on Wayland and drop it on desktop, Plasma crashed at some point.

The crash does not seem to be reproducible.

-- Backtrace:
Application: Plasma (plasmashell), signal: Segmentation fault
Content of s_kcrashErrorMessage: std::unique_ptr<char []> = {get() = 0x0}
[New LWP 9190]
[New LWP 14083]
[New LWP 9205]
[New LWP 14082]
[New LWP 14084]
[New LWP 14086]
[New LWP 14087]
[New LWP 14088]
[New LWP 17820]
[New LWP 9209]
[New LWP 9350]
[New LWP 9378]
[New LWP 9391]
[New LWP 9447]
[New LWP 9485]
[New LWP 10878]
[New LWP 14080]
[New LWP 14081]
[New LWP 14085]
[New LWP 14089]
[New LWP 9448]
[New LWP 9422]
[New LWP 9221]
[New LWP 9414]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
Core was generated by `/usr/bin/plasmashell'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  __GI_raise (sig=sig@entry=11) at ../sysdeps/unix/sysv/linux/raise.c:50
[Current thread is 1 (Thread 0x7ff54a8db9c0 (LWP 9190))]
__preamble__

[Current thread is 1 (Thread 0x7ff54a8db9c0 (LWP 9190))]

Thread 24 (Thread 0x7ff53172b700 (LWP 9414)):
#0  0x00007ff54e7a799f in __GI___poll (fds=0x7ff520076c50, nfds=3, timeout=74582) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ff54d03736e in g_main_context_poll (priority=<optimized out>, n_fds=3, fds=0x7ff520076c50, timeout=<optimized out>, context=0x7ff520000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7ff520000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007ff54d0374a3 in g_main_context_iteration (context=0x7ff520000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007ff54ed78c72 in QEventDispatcherGlib::processEvents (this=0x7ff520000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007ff54ed1ceab in QEventLoop::exec (this=this@entry=0x7ff53172aba0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007ff54eb36462 in QThread::exec (this=this@entry=0x55e785c87ee0) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007ff5507024ca in QQuickPixmapReader::run (this=0x55e785c87ee0) at util/qquickpixmapcache.cpp:1024
#8  0x00007ff54eb37643 in QThreadPrivate::start (arg=0x55e785c87ee0) at thread/qthread_unix.cpp:331
#9  0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 23 (Thread 0x7ff548c90700 (LWP 9221)):
#0  0x00007ff54e7a799f in __GI___poll (fds=0x7ff540004a60, nfds=3, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ff54d03736e in g_main_context_poll (priority=<optimized out>, n_fds=3, fds=0x7ff540004a60, timeout=<optimized out>, context=0x7ff540000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7ff540000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007ff54d0374a3 in g_main_context_iteration (context=0x7ff540000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007ff54ed78c72 in QEventDispatcherGlib::processEvents (this=0x7ff540000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007ff54ed1ceab in QEventLoop::exec (this=this@entry=0x7ff548c8fbb0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007ff54eb36462 in QThread::exec (this=this@entry=0x7ff54f85bd80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007ff54f7d7f4b in QDBusConnectionManager::run (this=0x7ff54f85bd80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:179
#8  0x00007ff54eb37643 in QThreadPrivate::start (arg=0x7ff54f85bd80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:331
#9  0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 22 (Thread 0x7ff5267fc700 (LWP 9422)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e785cdf974) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e785cdf920, cond=0x55e785cdf948) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e785cdf948, mutex=0x55e785cdf920) at pthread_cond_wait.c:647
#3  0x00007ff54eb3d6db in QWaitConditionPrivate::wait (deadline=..., this=0x55e785cdf920) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=this@entry=0x55e785d072a8, mutex=mutex@entry=0x55e785d072a0, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007ff5507c8214 in QSGRenderThreadEventQueue::takeEvent (wait=true, this=0x55e785d07298) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  QSGRenderThread::processEventsAndWaitForMore (this=this@entry=0x55e785d07200) at scenegraph/qsgthreadedrenderloop.cpp:936
#7  0x00007ff5507c8689 in QSGRenderThread::run (this=0x55e785d07200) at scenegraph/qsgthreadedrenderloop.cpp:1053
#8  0x00007ff54eb37643 in QThreadPrivate::start (arg=0x55e785d07200) at thread/qthread_unix.cpp:331
#9  0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 21 (Thread 0x7ff505ed8700 (LWP 9448)):
#0  0x00007ff54e7a799f in __GI___poll (fds=0x7ff4f8006930, nfds=1, timeout=3498989) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ff54d03736e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7ff4f8006930, timeout=<optimized out>, context=0x7ff4f8000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7ff4f8000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007ff54d0374a3 in g_main_context_iteration (context=0x7ff4f8000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007ff54ed78c72 in QEventDispatcherGlib::processEvents (this=0x7ff4f8000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007ff54ed1ceab in QEventLoop::exec (this=this@entry=0x7ff505ed7ba0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007ff54eb36462 in QThread::exec (this=this@entry=0x55e78cf7a690) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007ff505fb80bc in KCupsConnection::run (this=0x55e78cf7a690) at ./libkcups/KCupsConnection.cpp:289
#8  0x00007ff54eb37643 in QThreadPrivate::start (arg=0x55e78cf7a690) at thread/qthread_unix.cpp:331
#9  0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 20 (Thread 0x7ff4daffd700 (LWP 14089)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e78d20d804) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e78d20d7b0, cond=0x55e78d20d7d8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e78d20d7d8, mutex=0x55e78d20d7b0) at pthread_cond_wait.c:647
#3  0x00007ff54eb3d6db in QWaitConditionPrivate::wait (deadline=..., this=0x55e78d20d7b0) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=<optimized out>, mutex=0x55e7887486e0, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007ff524b43b9c in ThreadWeaver::Weaver::blockThreadUntilJobsAreBeingAssigned_locked (this=this@entry=0x55e788dff8e0, th=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  0x00007ff524b44920 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait (this=0x55e788dff8e0, th=<optimized out>, th@entry=0x55e789b54560, threadWasBusy=threadWasBusy@entry=true, suspendIfInactive=suspendIfInactive@entry=false, justReturning=justReturning@entry=false) at ./src/weaver.cpp:561
#7  0x00007ff524b45dbe in ThreadWeaver::WorkingHardState::applyForWork (this=0x55e789e447c0, th=0x55e789b54560, wasBusy=<optimized out>) at ./src/workinghardstate.cpp:43
#8  0x00007ff524b43ae2 in ThreadWeaver::Weaver::applyForWork (this=<optimized out>, th=0x55e789b54560, wasBusy=<optimized out>) at ./src/weaver.cpp:575
#9  0x00007ff524b42bc3 in ThreadWeaver::Thread::run (this=0x55e789b54560) at ./src/thread.cpp:86
#10 0x00007ff54eb37643 in QThreadPrivate::start (arg=0x55e789b54560) at thread/qthread_unix.cpp:331
#11 0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#12 0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 19 (Thread 0x7ff4e9547700 (LWP 14085)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e78d20d804) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e78d20d7b0, cond=0x55e78d20d7d8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e78d20d7d8, mutex=0x55e78d20d7b0) at pthread_cond_wait.c:647
#3  0x00007ff54eb3d6db in QWaitConditionPrivate::wait (deadline=..., this=0x55e78d20d7b0) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=<optimized out>, mutex=0x55e7887486e0, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007ff524b43b9c in ThreadWeaver::Weaver::blockThreadUntilJobsAreBeingAssigned_locked (this=this@entry=0x55e788dff8e0, th=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  0x00007ff524b44920 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait (this=0x55e788dff8e0, th=<optimized out>, th@entry=0x55e78d8075f0, threadWasBusy=threadWasBusy@entry=true, suspendIfInactive=suspendIfInactive@entry=false, justReturning=justReturning@entry=false) at ./src/weaver.cpp:561
#7  0x00007ff524b45dbe in ThreadWeaver::WorkingHardState::applyForWork (this=0x55e789e447c0, th=0x55e78d8075f0, wasBusy=<optimized out>) at ./src/workinghardstate.cpp:43
#8  0x00007ff524b43ae2 in ThreadWeaver::Weaver::applyForWork (this=<optimized out>, th=0x55e78d8075f0, wasBusy=<optimized out>) at ./src/weaver.cpp:575
#9  0x00007ff524b42bc3 in ThreadWeaver::Thread::run (this=0x55e78d8075f0) at ./src/thread.cpp:86
#10 0x00007ff54eb37643 in QThreadPrivate::start (arg=0x55e78d8075f0) at thread/qthread_unix.cpp:331
#11 0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#12 0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 18 (Thread 0x7ff5277fe700 (LWP 14081)):
#0  0x00007ff54e7a799f in __GI___poll (fds=0x55e79524aca0, nfds=2, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ff54d03736e in g_main_context_poll (priority=<optimized out>, n_fds=2, fds=0x55e79524aca0, timeout=<optimized out>, context=0x55e7952494a0) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=0x55e7952494a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007ff54d0376f3 in g_main_loop_run (loop=0x55e795249590) at ../../../glib/gmain.c:4241
#4  0x00007ff525239f8a in gdbus_shared_thread_func (user_data=0x55e795249470) at ../../../gio/gdbusprivate.c:279
#5  0x00007ff54d060ad1 in g_thread_proxy (data=0x7ff518000de0) at ../../../glib/gthread.c:807
#6  0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 17 (Thread 0x7ff507962700 (LWP 14080)):
#0  0x00007ff54e7a799f in __GI___poll (fds=0x55e79523c4d0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ff54d03736e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x55e79523c4d0, timeout=<optimized out>, context=0x55e79523c3b0) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x55e79523c3b0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007ff54d0374a3 in g_main_context_iteration (context=0x55e79523c3b0, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007ff54d0374f1 in glib_worker_main (data=<optimized out>) at ../../../glib/gmain.c:5996
#5  0x00007ff54d060ad1 in g_thread_proxy (data=0x7ff500001640) at ../../../glib/gthread.c:807
#6  0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 16 (Thread 0x7ff530f27700 (LWP 10878)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e78963a704) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e78963a6b0, cond=0x55e78963a6d8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e78963a6d8, mutex=0x55e78963a6b0) at pthread_cond_wait.c:647
#3  0x00007ff54eb3d6db in QWaitConditionPrivate::wait (deadline=..., this=0x55e78963a6b0) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=this@entry=0x7ff540010188, mutex=mutex@entry=0x7ff540010180, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007ff5507c8214 in QSGRenderThreadEventQueue::takeEvent (wait=true, this=0x7ff540010178) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  QSGRenderThread::processEventsAndWaitForMore (this=this@entry=0x7ff5400100e0) at scenegraph/qsgthreadedrenderloop.cpp:936
#7  0x00007ff5507c8689 in QSGRenderThread::run (this=0x7ff5400100e0) at scenegraph/qsgthreadedrenderloop.cpp:1053
#8  0x00007ff54eb37643 in QThreadPrivate::start (arg=0x7ff5400100e0) at thread/qthread_unix.cpp:331
#9  0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 15 (Thread 0x7ff4eb7fe700 (LWP 9485)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e78d9bac10) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e78d9babc0, cond=0x55e78d9babe8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e78d9babe8, mutex=0x55e78d9babc0) at pthread_cond_wait.c:647
#3  0x00007ff54eb3d6db in QWaitConditionPrivate::wait (deadline=..., this=0x55e78d9babc0) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=this@entry=0x55e78a0b9638, mutex=mutex@entry=0x55e78a0b9630, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007ff5507c8214 in QSGRenderThreadEventQueue::takeEvent (wait=true, this=0x55e78a0b9628) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  QSGRenderThread::processEventsAndWaitForMore (this=this@entry=0x55e78a0b9590) at scenegraph/qsgthreadedrenderloop.cpp:936
#7  0x00007ff5507c8689 in QSGRenderThread::run (this=0x55e78a0b9590) at scenegraph/qsgthreadedrenderloop.cpp:1053
#8  0x00007ff54eb37643 in QThreadPrivate::start (arg=0x55e78a0b9590) at thread/qthread_unix.cpp:331
#9  0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 14 (Thread 0x7ff50683c700 (LWP 9447)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e7895bbe90) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e7895bbe40, cond=0x55e7895bbe68) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e7895bbe68, mutex=0x55e7895bbe40) at pthread_cond_wait.c:647
#3  0x00007ff54eb3d6db in QWaitConditionPrivate::wait (deadline=..., this=0x55e7895bbe40) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=this@entry=0x55e78a343848, mutex=mutex@entry=0x55e78a343840, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007ff5507c8214 in QSGRenderThreadEventQueue::takeEvent (wait=true, this=0x55e78a343838) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  QSGRenderThread::processEventsAndWaitForMore (this=this@entry=0x55e78a3437a0) at scenegraph/qsgthreadedrenderloop.cpp:936
#7  0x00007ff5507c8689 in QSGRenderThread::run (this=0x55e78a3437a0) at scenegraph/qsgthreadedrenderloop.cpp:1053
#8  0x00007ff54eb37643 in QThreadPrivate::start (arg=0x55e78a3437a0) at thread/qthread_unix.cpp:331
#9  0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 13 (Thread 0x7ff533fff700 (LWP 9391)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e784fc7b88) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e784fc7b38, cond=0x55e784fc7b60) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e784fc7b60, mutex=0x55e784fc7b38) at pthread_cond_wait.c:647
#3  0x00007ff5389755eb in cnd_wait (mtx=0x55e784fc7b38, cond=0x55e784fc7b60) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x55e785055ff0) at ../src/util/u_queue.c:294
#5  0x00007ff5389751eb in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 12 (Thread 0x7ff53a524700 (LWP 9378)):
#0  0x00007ff54e7a799f in __GI___poll (fds=0x7ff52c004e60, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ff54d03736e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7ff52c004e60, timeout=<optimized out>, context=0x7ff52c000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7ff52c000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007ff54d0374a3 in g_main_context_iteration (context=0x7ff52c000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007ff54ed78c72 in QEventDispatcherGlib::processEvents (this=0x7ff52c000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007ff54ed1ceab in QEventLoop::exec (this=this@entry=0x7ff53a523be0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007ff54eb36462 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007ff54eb37643 in QThreadPrivate::start (arg=0x55e784f428d0) at thread/qthread_unix.cpp:331
#8  0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 11 (Thread 0x7ff53b5ef700 (LWP 9350)):
#0  0x00007ff54e7a799f in __GI___poll (fds=0x7ff534004e60, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ff54d03736e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7ff534004e60, timeout=<optimized out>, context=0x7ff534000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7ff534000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007ff54d0374a3 in g_main_context_iteration (context=0x7ff534000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007ff54ed78c72 in QEventDispatcherGlib::processEvents (this=0x7ff534000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007ff54ed1ceab in QEventLoop::exec (this=this@entry=0x7ff53b5eebc0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007ff54eb36462 in QThread::exec (this=this@entry=0x55e784ae3b80) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007ff550365689 in QQmlThreadPrivate::run (this=0x55e784ae3b80) at qml/ftw/qqmlthread.cpp:155
#8  0x00007ff54eb37643 in QThreadPrivate::start (arg=0x55e784ae3b80) at thread/qthread_unix.cpp:331
#9  0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7ff549591700 (LWP 9209)):
#0  0x00007ff54e7a799f in __GI___poll (fds=fds@entry=0x7ff549590be0, nfds=nfds@entry=2, timeout=timeout@entry=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ff54cb87bd6 in poll (__timeout=-1, __nfds=2, __fds=0x7ff549590be0) at /usr/include/x86_64-linux-gnu/bits/poll2.h:46
#2  QtWaylandClient::EventThread::run (this=0x55e784a0a740) at qwaylanddisplay.cpp:208
#3  0x00007ff54eb37643 in QThreadPrivate::start (arg=0x55e784a0a740) at thread/qthread_unix.cpp:331
#4  0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#5  0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 0x7ff4d8eed700 (LWP 17820)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e7953f4c40) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e7953f4bf0, cond=0x55e7953f4c18) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e7953f4c18, mutex=0x55e7953f4bf0) at pthread_cond_wait.c:647
#3  0x00007ff54eb3d6db in QWaitConditionPrivate::wait (deadline=..., this=0x55e7953f4bf0) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=this@entry=0x55e79538aae8, mutex=mutex@entry=0x55e79538aae0, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007ff5507c8214 in QSGRenderThreadEventQueue::takeEvent (wait=true, this=0x55e79538aad8) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  QSGRenderThread::processEventsAndWaitForMore (this=this@entry=0x55e79538aa40) at scenegraph/qsgthreadedrenderloop.cpp:936
#7  0x00007ff5507c8689 in QSGRenderThread::run (this=0x55e79538aa40) at scenegraph/qsgthreadedrenderloop.cpp:1053
#8  0x00007ff54eb37643 in QThreadPrivate::start (arg=0x55e79538aa40) at thread/qthread_unix.cpp:331
#9  0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7ff4db7fe700 (LWP 14088)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e78d20d804) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e78d20d7b0, cond=0x55e78d20d7d8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e78d20d7d8, mutex=0x55e78d20d7b0) at pthread_cond_wait.c:647
#3  0x00007ff54eb3d6db in QWaitConditionPrivate::wait (deadline=..., this=0x55e78d20d7b0) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=<optimized out>, mutex=0x55e7887486e0, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007ff524b43b9c in ThreadWeaver::Weaver::blockThreadUntilJobsAreBeingAssigned_locked (this=this@entry=0x55e788dff8e0, th=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  0x00007ff524b44920 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait (this=0x55e788dff8e0, th=<optimized out>, th@entry=0x7ff5140033e0, threadWasBusy=threadWasBusy@entry=true, suspendIfInactive=suspendIfInactive@entry=false, justReturning=justReturning@entry=false) at ./src/weaver.cpp:561
#7  0x00007ff524b45dbe in ThreadWeaver::WorkingHardState::applyForWork (this=0x55e789e447c0, th=0x7ff5140033e0, wasBusy=<optimized out>) at ./src/workinghardstate.cpp:43
#8  0x00007ff524b43ae2 in ThreadWeaver::Weaver::applyForWork (this=<optimized out>, th=0x7ff5140033e0, wasBusy=<optimized out>) at ./src/weaver.cpp:575
#9  0x00007ff524b42bc3 in ThreadWeaver::Thread::run (this=0x7ff5140033e0) at ./src/thread.cpp:86
#10 0x00007ff54eb37643 in QThreadPrivate::start (arg=0x7ff5140033e0) at thread/qthread_unix.cpp:331
#11 0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#12 0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7ff4dbfff700 (LWP 14087)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e78d20d804) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e78d20d7b0, cond=0x55e78d20d7d8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e78d20d7d8, mutex=0x55e78d20d7b0) at pthread_cond_wait.c:647
#3  0x00007ff54eb3d6db in QWaitConditionPrivate::wait (deadline=..., this=0x55e78d20d7b0) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=<optimized out>, mutex=0x55e7887486e0, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007ff524b43b9c in ThreadWeaver::Weaver::blockThreadUntilJobsAreBeingAssigned_locked (this=this@entry=0x55e788dff8e0, th=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  0x00007ff524b44920 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait (this=0x55e788dff8e0, th=<optimized out>, th@entry=0x7ff4e4005c50, threadWasBusy=threadWasBusy@entry=true, suspendIfInactive=suspendIfInactive@entry=false, justReturning=justReturning@entry=false) at ./src/weaver.cpp:561
#7  0x00007ff524b45dbe in ThreadWeaver::WorkingHardState::applyForWork (this=0x55e789e447c0, th=0x7ff4e4005c50, wasBusy=<optimized out>) at ./src/workinghardstate.cpp:43
#8  0x00007ff524b43ae2 in ThreadWeaver::Weaver::applyForWork (this=<optimized out>, th=0x7ff4e4005c50, wasBusy=<optimized out>) at ./src/weaver.cpp:575
#9  0x00007ff524b42bc3 in ThreadWeaver::Thread::run (this=0x7ff4e4005c50) at ./src/thread.cpp:86
#10 0x00007ff54eb37643 in QThreadPrivate::start (arg=0x7ff4e4005c50) at thread/qthread_unix.cpp:331
#11 0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#12 0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7ff4e8d46700 (LWP 14086)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e78d20d804) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e78d20d7b0, cond=0x55e78d20d7d8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e78d20d7d8, mutex=0x55e78d20d7b0) at pthread_cond_wait.c:647
#3  0x00007ff54eb3d6db in QWaitConditionPrivate::wait (deadline=..., this=0x55e78d20d7b0) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=<optimized out>, mutex=0x55e7887486e0, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007ff524b43b9c in ThreadWeaver::Weaver::blockThreadUntilJobsAreBeingAssigned_locked (this=this@entry=0x55e788dff8e0, th=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  0x00007ff524b44920 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait (this=0x55e788dff8e0, th=<optimized out>, th@entry=0x7ff50c003fe0, threadWasBusy=threadWasBusy@entry=true, suspendIfInactive=suspendIfInactive@entry=false, justReturning=justReturning@entry=false) at ./src/weaver.cpp:561
#7  0x00007ff524b45dbe in ThreadWeaver::WorkingHardState::applyForWork (this=0x55e789e447c0, th=0x7ff50c003fe0, wasBusy=<optimized out>) at ./src/workinghardstate.cpp:43
#8  0x00007ff524b43ae2 in ThreadWeaver::Weaver::applyForWork (this=<optimized out>, th=0x7ff50c003fe0, wasBusy=<optimized out>) at ./src/weaver.cpp:575
#9  0x00007ff524b42bc3 in ThreadWeaver::Thread::run (this=0x7ff50c003fe0) at ./src/thread.cpp:86
#10 0x00007ff54eb37643 in QThreadPrivate::start (arg=0x7ff50c003fe0) at thread/qthread_unix.cpp:331
#11 0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#12 0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7ff4e9d48700 (LWP 14084)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e78d20d804) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e78d20d7b0, cond=0x55e78d20d7d8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e78d20d7d8, mutex=0x55e78d20d7b0) at pthread_cond_wait.c:647
#3  0x00007ff54eb3d6db in QWaitConditionPrivate::wait (deadline=..., this=0x55e78d20d7b0) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=<optimized out>, mutex=0x55e7887486e0, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007ff524b43b9c in ThreadWeaver::Weaver::blockThreadUntilJobsAreBeingAssigned_locked (this=this@entry=0x55e788dff8e0, th=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  0x00007ff524b44920 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait (this=0x55e788dff8e0, th=<optimized out>, th@entry=0x55e79526a840, threadWasBusy=threadWasBusy@entry=true, suspendIfInactive=suspendIfInactive@entry=false, justReturning=justReturning@entry=false) at ./src/weaver.cpp:561
#7  0x00007ff524b45dbe in ThreadWeaver::WorkingHardState::applyForWork (this=0x55e789e447c0, th=0x55e79526a840, wasBusy=<optimized out>) at ./src/workinghardstate.cpp:43
#8  0x00007ff524b43ae2 in ThreadWeaver::Weaver::applyForWork (this=<optimized out>, th=0x55e79526a840, wasBusy=<optimized out>) at ./src/weaver.cpp:575
#9  0x00007ff524b42bc3 in ThreadWeaver::Thread::run (this=0x55e79526a840) at ./src/thread.cpp:86
#10 0x00007ff54eb37643 in QThreadPrivate::start (arg=0x55e79526a840) at thread/qthread_unix.cpp:331
#11 0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#12 0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7ff4ebfff700 (LWP 14082)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e78d20d804) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e78d20d7b0, cond=0x55e78d20d7d8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e78d20d7d8, mutex=0x55e78d20d7b0) at pthread_cond_wait.c:647
#3  0x00007ff54eb3d6db in QWaitConditionPrivate::wait (deadline=..., this=0x55e78d20d7b0) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=<optimized out>, mutex=0x55e7887486e0, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007ff524b43b9c in ThreadWeaver::Weaver::blockThreadUntilJobsAreBeingAssigned_locked (this=this@entry=0x55e788dff8e0, th=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  0x00007ff524b44920 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait (this=0x55e788dff8e0, th=<optimized out>, th@entry=0x55e78dc01f50, threadWasBusy=threadWasBusy@entry=true, suspendIfInactive=suspendIfInactive@entry=false, justReturning=justReturning@entry=false) at ./src/weaver.cpp:561
#7  0x00007ff524b45dbe in ThreadWeaver::WorkingHardState::applyForWork (this=0x55e789e447c0, th=0x55e78dc01f50, wasBusy=<optimized out>) at ./src/workinghardstate.cpp:43
#8  0x00007ff524b43ae2 in ThreadWeaver::Weaver::applyForWork (this=<optimized out>, th=0x55e78dc01f50, wasBusy=<optimized out>) at ./src/weaver.cpp:575
#9  0x00007ff524b42bc3 in ThreadWeaver::Thread::run (this=0x55e78dc01f50) at ./src/thread.cpp:86
#10 0x00007ff54eb37643 in QThreadPrivate::start (arg=0x55e78dc01f50) at thread/qthread_unix.cpp:331
#11 0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#12 0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7ff549d92700 (LWP 9205)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e784a0a414) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e784a0a3c0, cond=0x55e784a0a3e8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e784a0a3e8, mutex=0x55e784a0a3c0) at pthread_cond_wait.c:647
#3  0x00007ff54eb3d6db in QWaitConditionPrivate::wait (deadline=..., this=0x55e784a0a3c0) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=this@entry=0x55e784a02c40, mutex=mutex@entry=0x55e784a02c38, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007ff54cb87b7d in QtWaylandClient::EventThread::waitForReading (this=0x55e784a02c00) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  QtWaylandClient::EventThread::run (this=0x55e784a02c00) at qwaylanddisplay.cpp:206
#7  0x00007ff54eb37643 in QThreadPrivate::start (arg=0x55e784a02c00) at thread/qthread_unix.cpp:331
#8  0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7ff526ffd700 (LWP 14083)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e78d20d804) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e78d20d7b0, cond=0x55e78d20d7d8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e78d20d7d8, mutex=0x55e78d20d7b0) at pthread_cond_wait.c:647
#3  0x00007ff54eb3d6db in QWaitConditionPrivate::wait (deadline=..., this=0x55e78d20d7b0) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=<optimized out>, mutex=0x55e7887486e0, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007ff524b43b9c in ThreadWeaver::Weaver::blockThreadUntilJobsAreBeingAssigned_locked (this=this@entry=0x55e788dff8e0, th=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  0x00007ff524b44920 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait (this=0x55e788dff8e0, th=<optimized out>, th@entry=0x55e7891c72e0, threadWasBusy=threadWasBusy@entry=true, suspendIfInactive=suspendIfInactive@entry=false, justReturning=justReturning@entry=false) at ./src/weaver.cpp:561
#7  0x00007ff524b45dbe in ThreadWeaver::WorkingHardState::applyForWork (this=0x55e789e447c0, th=0x55e7891c72e0, wasBusy=<optimized out>) at ./src/workinghardstate.cpp:43
#8  0x00007ff524b43ae2 in ThreadWeaver::Weaver::applyForWork (this=<optimized out>, th=0x55e7891c72e0, wasBusy=<optimized out>) at ./src/weaver.cpp:575
#9  0x00007ff524b42bc3 in ThreadWeaver::Thread::run (this=0x55e7891c72e0) at ./src/thread.cpp:86
#10 0x00007ff54eb37643 in QThreadPrivate::start (arg=0x55e7891c72e0) at thread/qthread_unix.cpp:331
#11 0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#12 0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7ff54a8db9c0 (LWP 9190)):
[KCrash Handler]
#3  0x00007ff54eb79c6e in std::__atomic_base<QtSharedPointer::ExternalRefCountData*>::load (__m=std::memory_order_relaxed, this=<optimized out>) at /usr/include/c++/9/bits/atomic_base.h:734
#4  std::atomic<QtSharedPointer::ExternalRefCountData*>::load (__m=std::memory_order_relaxed, this=<optimized out>) at /usr/include/c++/9/atomic:519
#5  QAtomicOps<QtSharedPointer::ExternalRefCountData*>::loadRelaxed<QtSharedPointer::ExternalRefCountData*> (_q_value=...) at ../../include/QtCore/../../src/corelib/thread/qatomic_cxx11.h:239
#6  QBasicAtomicPointer<QtSharedPointer::ExternalRefCountData>::loadRelaxed (this=<optimized out>) at ../../include/QtCore/../../src/corelib/thread/qbasicatomic.h:248
#7  QtSharedPointer::ExternalRefCountData::getAndRef (obj=0x55e784b8ba40) at tools/qsharedpointer.cpp:1396
#8  0x00007ff54e248102 in ?? () from /lib/x86_64-linux-gnu/libKF5KIOWidgets.so.5
#9  0x00007ff54e24865b in ?? () from /lib/x86_64-linux-gnu/libKF5KIOWidgets.so.5
#10 0x00007ff54ed4bf89 in QObject::event (this=0x55e7981cf1c0, e=0x55e784aee9c0) at kernel/qobject.cpp:1314
#11 0x00007ff54fa42dc3 in QApplicationPrivate::notify_helper (this=this@entry=0x55e7849ed8b0, receiver=receiver@entry=0x55e7981cf1c0, e=e@entry=0x55e784aee9c0) at kernel/qapplication.cpp:3637
#12 0x00007ff54fa4bbd8 in QApplication::notify (this=0x7ffec0cd0c50, receiver=0x55e7981cf1c0, e=0x55e784aee9c0) at kernel/qapplication.cpp:3161
#13 0x00007ff54ed1e3aa in QCoreApplication::notifyInternal2 (receiver=0x55e7981cf1c0, event=0x55e784aee9c0) at ../../include/QtCore/5.15.4/QtCore/private/../../../../../src/corelib/thread/qthread_p.h:332
#14 0x00007ff54ed20cb1 in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x55e7849c6ef0) at kernel/qcoreapplication.cpp:1821
#15 0x00007ff54ed79617 in postEventSourceDispatch (s=0x55e784a054e0) at kernel/qeventdispatcher_glib.cpp:277
#16 0x00007ff54d03717d in g_main_dispatch (context=0x55e784a05f00) at ../../../glib/gmain.c:3309
#17 g_main_context_dispatch (context=context@entry=0x55e784a05f00) at ../../../glib/gmain.c:3974
#18 0x00007ff54d037400 in g_main_context_iterate (context=context@entry=0x55e784a05f00, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4047
#19 0x00007ff54d0374a3 in g_main_context_iteration (context=0x55e784a05f00, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#20 0x00007ff54ed78c72 in QEventDispatcherGlib::processEvents (this=0x55e784a0a8b0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#21 0x00007ff54ed1ceab in QEventLoop::exec (this=this@entry=0x7ffec0cd0b30, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#22 0x00007ff54ed25054 in QCoreApplication::exec () at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#23 0x000055e7845f04f0 in main (argc=<optimized out>, argv=<optimized out>) at ./shell/main.cpp:240

Reported using DrKonqi
Comment 1 Nate Graham 2022-06-02 17:07:35 UTC
> #8  0x00007ff54e248102 in ?? () from /lib/x86_64-linux-gnu/libKF5KIOWidgets.so.5
> #9  0x00007ff54e24865b in ?? () from /lib/x86_64-linux-gnu/libKF5KIOWidgets.so.5
Can you reproduce it with debug symbols for kio installed?
Comment 2 Patrick Silva 2022-06-02 21:49:03 UTC
Thread 24 (Thread 0x7ff53172b700 (LWP 9414)):
#0  0x00007ff54e7a799f in __GI___poll (fds=0x7ff520076c50, nfds=3, timeout=74582) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ff54d03736e in g_main_context_poll (priority=<optimized out>, n_fds=3, fds=0x7ff520076c50, timeout=<optimized out>, context=0x7ff520000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7ff520000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007ff54d0374a3 in g_main_context_iteration (context=0x7ff520000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007ff54ed78c72 in QEventDispatcherGlib::processEvents (this=0x7ff520000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007ff54ed1ceab in QEventLoop::exec (this=this@entry=0x7ff53172aba0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007ff54eb36462 in QThread::exec (this=this@entry=0x55e785c87ee0) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007ff5507024ca in QQuickPixmapReader::run (this=0x55e785c87ee0) at util/qquickpixmapcache.cpp:1024
#8  0x00007ff54eb37643 in QThreadPrivate::start (arg=0x55e785c87ee0) at thread/qthread_unix.cpp:331
#9  0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 23 (Thread 0x7ff548c90700 (LWP 9221)):
#0  0x00007ff54e7a799f in __GI___poll (fds=0x7ff540004a60, nfds=3, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ff54d03736e in g_main_context_poll (priority=<optimized out>, n_fds=3, fds=0x7ff540004a60, timeout=<optimized out>, context=0x7ff540000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7ff540000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007ff54d0374a3 in g_main_context_iteration (context=0x7ff540000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007ff54ed78c72 in QEventDispatcherGlib::processEvents (this=0x7ff540000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007ff54ed1ceab in QEventLoop::exec (this=this@entry=0x7ff548c8fbb0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007ff54eb36462 in QThread::exec (this=this@entry=0x7ff54f85bd80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007ff54f7d7f4b in QDBusConnectionManager::run (this=0x7ff54f85bd80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:179
#8  0x00007ff54eb37643 in QThreadPrivate::start (arg=0x7ff54f85bd80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:331
#9  0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 22 (Thread 0x7ff5267fc700 (LWP 9422)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e785cdf974) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e785cdf920, cond=0x55e785cdf948) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e785cdf948, mutex=0x55e785cdf920) at pthread_cond_wait.c:647
#3  0x00007ff54eb3d6db in QWaitConditionPrivate::wait (deadline=..., this=0x55e785cdf920) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=this@entry=0x55e785d072a8, mutex=mutex@entry=0x55e785d072a0, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007ff5507c8214 in QSGRenderThreadEventQueue::takeEvent (wait=true, this=0x55e785d07298) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  QSGRenderThread::processEventsAndWaitForMore (this=this@entry=0x55e785d07200) at scenegraph/qsgthreadedrenderloop.cpp:936
#7  0x00007ff5507c8689 in QSGRenderThread::run (this=0x55e785d07200) at scenegraph/qsgthreadedrenderloop.cpp:1053
#8  0x00007ff54eb37643 in QThreadPrivate::start (arg=0x55e785d07200) at thread/qthread_unix.cpp:331
#9  0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 21 (Thread 0x7ff505ed8700 (LWP 9448)):
#0  0x00007ff54e7a799f in __GI___poll (fds=0x7ff4f8006930, nfds=1, timeout=3498989) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ff54d03736e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7ff4f8006930, timeout=<optimized out>, context=0x7ff4f8000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7ff4f8000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007ff54d0374a3 in g_main_context_iteration (context=0x7ff4f8000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007ff54ed78c72 in QEventDispatcherGlib::processEvents (this=0x7ff4f8000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007ff54ed1ceab in QEventLoop::exec (this=this@entry=0x7ff505ed7ba0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007ff54eb36462 in QThread::exec (this=this@entry=0x55e78cf7a690) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007ff505fb80bc in KCupsConnection::run (this=0x55e78cf7a690) at ./libkcups/KCupsConnection.cpp:289
#8  0x00007ff54eb37643 in QThreadPrivate::start (arg=0x55e78cf7a690) at thread/qthread_unix.cpp:331
#9  0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 20 (Thread 0x7ff4daffd700 (LWP 14089)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e78d20d804) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e78d20d7b0, cond=0x55e78d20d7d8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e78d20d7d8, mutex=0x55e78d20d7b0) at pthread_cond_wait.c:647
#3  0x00007ff54eb3d6db in QWaitConditionPrivate::wait (deadline=..., this=0x55e78d20d7b0) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=<optimized out>, mutex=0x55e7887486e0, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007ff524b43b9c in ThreadWeaver::Weaver::blockThreadUntilJobsAreBeingAssigned_locked (this=this@entry=0x55e788dff8e0, th=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  0x00007ff524b44920 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait (this=0x55e788dff8e0, th=<optimized out>, th@entry=0x55e789b54560, threadWasBusy=threadWasBusy@entry=true, suspendIfInactive=suspendIfInactive@entry=false, justReturning=justReturning@entry=false) at ./src/weaver.cpp:561
#7  0x00007ff524b45dbe in ThreadWeaver::WorkingHardState::applyForWork (this=0x55e789e447c0, th=0x55e789b54560, wasBusy=<optimized out>) at ./src/workinghardstate.cpp:43
#8  0x00007ff524b43ae2 in ThreadWeaver::Weaver::applyForWork (this=<optimized out>, th=0x55e789b54560, wasBusy=<optimized out>) at ./src/weaver.cpp:575
#9  0x00007ff524b42bc3 in ThreadWeaver::Thread::run (this=0x55e789b54560) at ./src/thread.cpp:86
#10 0x00007ff54eb37643 in QThreadPrivate::start (arg=0x55e789b54560) at thread/qthread_unix.cpp:331
#11 0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#12 0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 19 (Thread 0x7ff4e9547700 (LWP 14085)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e78d20d804) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e78d20d7b0, cond=0x55e78d20d7d8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e78d20d7d8, mutex=0x55e78d20d7b0) at pthread_cond_wait.c:647
#3  0x00007ff54eb3d6db in QWaitConditionPrivate::wait (deadline=..., this=0x55e78d20d7b0) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=<optimized out>, mutex=0x55e7887486e0, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007ff524b43b9c in ThreadWeaver::Weaver::blockThreadUntilJobsAreBeingAssigned_locked (this=this@entry=0x55e788dff8e0, th=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  0x00007ff524b44920 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait (this=0x55e788dff8e0, th=<optimized out>, th@entry=0x55e78d8075f0, threadWasBusy=threadWasBusy@entry=true, suspendIfInactive=suspendIfInactive@entry=false, justReturning=justReturning@entry=false) at ./src/weaver.cpp:561
#7  0x00007ff524b45dbe in ThreadWeaver::WorkingHardState::applyForWork (this=0x55e789e447c0, th=0x55e78d8075f0, wasBusy=<optimized out>) at ./src/workinghardstate.cpp:43
#8  0x00007ff524b43ae2 in ThreadWeaver::Weaver::applyForWork (this=<optimized out>, th=0x55e78d8075f0, wasBusy=<optimized out>) at ./src/weaver.cpp:575
#9  0x00007ff524b42bc3 in ThreadWeaver::Thread::run (this=0x55e78d8075f0) at ./src/thread.cpp:86
#10 0x00007ff54eb37643 in QThreadPrivate::start (arg=0x55e78d8075f0) at thread/qthread_unix.cpp:331
#11 0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#12 0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 18 (Thread 0x7ff5277fe700 (LWP 14081)):
#0  0x00007ff54e7a799f in __GI___poll (fds=0x55e79524aca0, nfds=2, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ff54d03736e in g_main_context_poll (priority=<optimized out>, n_fds=2, fds=0x55e79524aca0, timeout=<optimized out>, context=0x55e7952494a0) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=0x55e7952494a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007ff54d0376f3 in g_main_loop_run (loop=0x55e795249590) at ../../../glib/gmain.c:4241
#4  0x00007ff525239f8a in gdbus_shared_thread_func (user_data=0x55e795249470) at ../../../gio/gdbusprivate.c:279
#5  0x00007ff54d060ad1 in g_thread_proxy (data=0x7ff518000de0) at ../../../glib/gthread.c:807
#6  0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 17 (Thread 0x7ff507962700 (LWP 14080)):
#0  0x00007ff54e7a799f in __GI___poll (fds=0x55e79523c4d0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ff54d03736e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x55e79523c4d0, timeout=<optimized out>, context=0x55e79523c3b0) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x55e79523c3b0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007ff54d0374a3 in g_main_context_iteration (context=0x55e79523c3b0, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007ff54d0374f1 in glib_worker_main (data=<optimized out>) at ../../../glib/gmain.c:5996
#5  0x00007ff54d060ad1 in g_thread_proxy (data=0x7ff500001640) at ../../../glib/gthread.c:807
#6  0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 16 (Thread 0x7ff530f27700 (LWP 10878)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e78963a704) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e78963a6b0, cond=0x55e78963a6d8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e78963a6d8, mutex=0x55e78963a6b0) at pthread_cond_wait.c:647
#3  0x00007ff54eb3d6db in QWaitConditionPrivate::wait (deadline=..., this=0x55e78963a6b0) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=this@entry=0x7ff540010188, mutex=mutex@entry=0x7ff540010180, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007ff5507c8214 in QSGRenderThreadEventQueue::takeEvent (wait=true, this=0x7ff540010178) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  QSGRenderThread::processEventsAndWaitForMore (this=this@entry=0x7ff5400100e0) at scenegraph/qsgthreadedrenderloop.cpp:936
#7  0x00007ff5507c8689 in QSGRenderThread::run (this=0x7ff5400100e0) at scenegraph/qsgthreadedrenderloop.cpp:1053
#8  0x00007ff54eb37643 in QThreadPrivate::start (arg=0x7ff5400100e0) at thread/qthread_unix.cpp:331
#9  0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 15 (Thread 0x7ff4eb7fe700 (LWP 9485)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e78d9bac10) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e78d9babc0, cond=0x55e78d9babe8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e78d9babe8, mutex=0x55e78d9babc0) at pthread_cond_wait.c:647
#3  0x00007ff54eb3d6db in QWaitConditionPrivate::wait (deadline=..., this=0x55e78d9babc0) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=this@entry=0x55e78a0b9638, mutex=mutex@entry=0x55e78a0b9630, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007ff5507c8214 in QSGRenderThreadEventQueue::takeEvent (wait=true, this=0x55e78a0b9628) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  QSGRenderThread::processEventsAndWaitForMore (this=this@entry=0x55e78a0b9590) at scenegraph/qsgthreadedrenderloop.cpp:936
#7  0x00007ff5507c8689 in QSGRenderThread::run (this=0x55e78a0b9590) at scenegraph/qsgthreadedrenderloop.cpp:1053
#8  0x00007ff54eb37643 in QThreadPrivate::start (arg=0x55e78a0b9590) at thread/qthread_unix.cpp:331
#9  0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 14 (Thread 0x7ff50683c700 (LWP 9447)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e7895bbe90) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e7895bbe40, cond=0x55e7895bbe68) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e7895bbe68, mutex=0x55e7895bbe40) at pthread_cond_wait.c:647
#3  0x00007ff54eb3d6db in QWaitConditionPrivate::wait (deadline=..., this=0x55e7895bbe40) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=this@entry=0x55e78a343848, mutex=mutex@entry=0x55e78a343840, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007ff5507c8214 in QSGRenderThreadEventQueue::takeEvent (wait=true, this=0x55e78a343838) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  QSGRenderThread::processEventsAndWaitForMore (this=this@entry=0x55e78a3437a0) at scenegraph/qsgthreadedrenderloop.cpp:936
#7  0x00007ff5507c8689 in QSGRenderThread::run (this=0x55e78a3437a0) at scenegraph/qsgthreadedrenderloop.cpp:1053
#8  0x00007ff54eb37643 in QThreadPrivate::start (arg=0x55e78a3437a0) at thread/qthread_unix.cpp:331
#9  0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 13 (Thread 0x7ff533fff700 (LWP 9391)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e784fc7b88) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e784fc7b38, cond=0x55e784fc7b60) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e784fc7b60, mutex=0x55e784fc7b38) at pthread_cond_wait.c:647
#3  0x00007ff5389755eb in cnd_wait (mtx=0x55e784fc7b38, cond=0x55e784fc7b60) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x55e785055ff0) at ../src/util/u_queue.c:294
#5  0x00007ff5389751eb in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 12 (Thread 0x7ff53a524700 (LWP 9378)):
#0  0x00007ff54e7a799f in __GI___poll (fds=0x7ff52c004e60, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ff54d03736e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7ff52c004e60, timeout=<optimized out>, context=0x7ff52c000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7ff52c000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007ff54d0374a3 in g_main_context_iteration (context=0x7ff52c000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007ff54ed78c72 in QEventDispatcherGlib::processEvents (this=0x7ff52c000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007ff54ed1ceab in QEventLoop::exec (this=this@entry=0x7ff53a523be0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007ff54eb36462 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007ff54eb37643 in QThreadPrivate::start (arg=0x55e784f428d0) at thread/qthread_unix.cpp:331
#8  0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 11 (Thread 0x7ff53b5ef700 (LWP 9350)):
#0  0x00007ff54e7a799f in __GI___poll (fds=0x7ff534004e60, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ff54d03736e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7ff534004e60, timeout=<optimized out>, context=0x7ff534000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7ff534000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007ff54d0374a3 in g_main_context_iteration (context=0x7ff534000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007ff54ed78c72 in QEventDispatcherGlib::processEvents (this=0x7ff534000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007ff54ed1ceab in QEventLoop::exec (this=this@entry=0x7ff53b5eebc0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007ff54eb36462 in QThread::exec (this=this@entry=0x55e784ae3b80) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007ff550365689 in QQmlThreadPrivate::run (this=0x55e784ae3b80) at qml/ftw/qqmlthread.cpp:155
#8  0x00007ff54eb37643 in QThreadPrivate::start (arg=0x55e784ae3b80) at thread/qthread_unix.cpp:331
#9  0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7ff549591700 (LWP 9209)):
#0  0x00007ff54e7a799f in __GI___poll (fds=fds@entry=0x7ff549590be0, nfds=nfds@entry=2, timeout=timeout@entry=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ff54cb87bd6 in poll (__timeout=-1, __nfds=2, __fds=0x7ff549590be0) at /usr/include/x86_64-linux-gnu/bits/poll2.h:46
#2  QtWaylandClient::EventThread::run (this=0x55e784a0a740) at qwaylanddisplay.cpp:208
#3  0x00007ff54eb37643 in QThreadPrivate::start (arg=0x55e784a0a740) at thread/qthread_unix.cpp:331
#4  0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#5  0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 0x7ff4d8eed700 (LWP 17820)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e7953f4c40) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e7953f4bf0, cond=0x55e7953f4c18) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e7953f4c18, mutex=0x55e7953f4bf0) at pthread_cond_wait.c:647
#3  0x00007ff54eb3d6db in QWaitConditionPrivate::wait (deadline=..., this=0x55e7953f4bf0) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=this@entry=0x55e79538aae8, mutex=mutex@entry=0x55e79538aae0, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007ff5507c8214 in QSGRenderThreadEventQueue::takeEvent (wait=true, this=0x55e79538aad8) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  QSGRenderThread::processEventsAndWaitForMore (this=this@entry=0x55e79538aa40) at scenegraph/qsgthreadedrenderloop.cpp:936
#7  0x00007ff5507c8689 in QSGRenderThread::run (this=0x55e79538aa40) at scenegraph/qsgthreadedrenderloop.cpp:1053
#8  0x00007ff54eb37643 in QThreadPrivate::start (arg=0x55e79538aa40) at thread/qthread_unix.cpp:331
#9  0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7ff4db7fe700 (LWP 14088)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e78d20d804) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e78d20d7b0, cond=0x55e78d20d7d8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e78d20d7d8, mutex=0x55e78d20d7b0) at pthread_cond_wait.c:647
#3  0x00007ff54eb3d6db in QWaitConditionPrivate::wait (deadline=..., this=0x55e78d20d7b0) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=<optimized out>, mutex=0x55e7887486e0, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007ff524b43b9c in ThreadWeaver::Weaver::blockThreadUntilJobsAreBeingAssigned_locked (this=this@entry=0x55e788dff8e0, th=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  0x00007ff524b44920 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait (this=0x55e788dff8e0, th=<optimized out>, th@entry=0x7ff5140033e0, threadWasBusy=threadWasBusy@entry=true, suspendIfInactive=suspendIfInactive@entry=false, justReturning=justReturning@entry=false) at ./src/weaver.cpp:561
#7  0x00007ff524b45dbe in ThreadWeaver::WorkingHardState::applyForWork (this=0x55e789e447c0, th=0x7ff5140033e0, wasBusy=<optimized out>) at ./src/workinghardstate.cpp:43
#8  0x00007ff524b43ae2 in ThreadWeaver::Weaver::applyForWork (this=<optimized out>, th=0x7ff5140033e0, wasBusy=<optimized out>) at ./src/weaver.cpp:575
#9  0x00007ff524b42bc3 in ThreadWeaver::Thread::run (this=0x7ff5140033e0) at ./src/thread.cpp:86
#10 0x00007ff54eb37643 in QThreadPrivate::start (arg=0x7ff5140033e0) at thread/qthread_unix.cpp:331
#11 0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#12 0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7ff4dbfff700 (LWP 14087)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e78d20d804) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e78d20d7b0, cond=0x55e78d20d7d8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e78d20d7d8, mutex=0x55e78d20d7b0) at pthread_cond_wait.c:647
#3  0x00007ff54eb3d6db in QWaitConditionPrivate::wait (deadline=..., this=0x55e78d20d7b0) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=<optimized out>, mutex=0x55e7887486e0, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007ff524b43b9c in ThreadWeaver::Weaver::blockThreadUntilJobsAreBeingAssigned_locked (this=this@entry=0x55e788dff8e0, th=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  0x00007ff524b44920 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait (this=0x55e788dff8e0, th=<optimized out>, th@entry=0x7ff4e4005c50, threadWasBusy=threadWasBusy@entry=true, suspendIfInactive=suspendIfInactive@entry=false, justReturning=justReturning@entry=false) at ./src/weaver.cpp:561
#7  0x00007ff524b45dbe in ThreadWeaver::WorkingHardState::applyForWork (this=0x55e789e447c0, th=0x7ff4e4005c50, wasBusy=<optimized out>) at ./src/workinghardstate.cpp:43
#8  0x00007ff524b43ae2 in ThreadWeaver::Weaver::applyForWork (this=<optimized out>, th=0x7ff4e4005c50, wasBusy=<optimized out>) at ./src/weaver.cpp:575
#9  0x00007ff524b42bc3 in ThreadWeaver::Thread::run (this=0x7ff4e4005c50) at ./src/thread.cpp:86
#10 0x00007ff54eb37643 in QThreadPrivate::start (arg=0x7ff4e4005c50) at thread/qthread_unix.cpp:331
#11 0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#12 0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7ff4e8d46700 (LWP 14086)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e78d20d804) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e78d20d7b0, cond=0x55e78d20d7d8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e78d20d7d8, mutex=0x55e78d20d7b0) at pthread_cond_wait.c:647
#3  0x00007ff54eb3d6db in QWaitConditionPrivate::wait (deadline=..., this=0x55e78d20d7b0) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=<optimized out>, mutex=0x55e7887486e0, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007ff524b43b9c in ThreadWeaver::Weaver::blockThreadUntilJobsAreBeingAssigned_locked (this=this@entry=0x55e788dff8e0, th=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  0x00007ff524b44920 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait (this=0x55e788dff8e0, th=<optimized out>, th@entry=0x7ff50c003fe0, threadWasBusy=threadWasBusy@entry=true, suspendIfInactive=suspendIfInactive@entry=false, justReturning=justReturning@entry=false) at ./src/weaver.cpp:561
#7  0x00007ff524b45dbe in ThreadWeaver::WorkingHardState::applyForWork (this=0x55e789e447c0, th=0x7ff50c003fe0, wasBusy=<optimized out>) at ./src/workinghardstate.cpp:43
#8  0x00007ff524b43ae2 in ThreadWeaver::Weaver::applyForWork (this=<optimized out>, th=0x7ff50c003fe0, wasBusy=<optimized out>) at ./src/weaver.cpp:575
#9  0x00007ff524b42bc3 in ThreadWeaver::Thread::run (this=0x7ff50c003fe0) at ./src/thread.cpp:86
#10 0x00007ff54eb37643 in QThreadPrivate::start (arg=0x7ff50c003fe0) at thread/qthread_unix.cpp:331
#11 0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#12 0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7ff4e9d48700 (LWP 14084)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e78d20d804) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e78d20d7b0, cond=0x55e78d20d7d8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e78d20d7d8, mutex=0x55e78d20d7b0) at pthread_cond_wait.c:647
#3  0x00007ff54eb3d6db in QWaitConditionPrivate::wait (deadline=..., this=0x55e78d20d7b0) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=<optimized out>, mutex=0x55e7887486e0, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007ff524b43b9c in ThreadWeaver::Weaver::blockThreadUntilJobsAreBeingAssigned_locked (this=this@entry=0x55e788dff8e0, th=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  0x00007ff524b44920 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait (this=0x55e788dff8e0, th=<optimized out>, th@entry=0x55e79526a840, threadWasBusy=threadWasBusy@entry=true, suspendIfInactive=suspendIfInactive@entry=false, justReturning=justReturning@entry=false) at ./src/weaver.cpp:561
#7  0x00007ff524b45dbe in ThreadWeaver::WorkingHardState::applyForWork (this=0x55e789e447c0, th=0x55e79526a840, wasBusy=<optimized out>) at ./src/workinghardstate.cpp:43
#8  0x00007ff524b43ae2 in ThreadWeaver::Weaver::applyForWork (this=<optimized out>, th=0x55e79526a840, wasBusy=<optimized out>) at ./src/weaver.cpp:575
#9  0x00007ff524b42bc3 in ThreadWeaver::Thread::run (this=0x55e79526a840) at ./src/thread.cpp:86
#10 0x00007ff54eb37643 in QThreadPrivate::start (arg=0x55e79526a840) at thread/qthread_unix.cpp:331
#11 0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#12 0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7ff4ebfff700 (LWP 14082)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e78d20d804) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e78d20d7b0, cond=0x55e78d20d7d8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e78d20d7d8, mutex=0x55e78d20d7b0) at pthread_cond_wait.c:647
#3  0x00007ff54eb3d6db in QWaitConditionPrivate::wait (deadline=..., this=0x55e78d20d7b0) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=<optimized out>, mutex=0x55e7887486e0, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007ff524b43b9c in ThreadWeaver::Weaver::blockThreadUntilJobsAreBeingAssigned_locked (this=this@entry=0x55e788dff8e0, th=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  0x00007ff524b44920 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait (this=0x55e788dff8e0, th=<optimized out>, th@entry=0x55e78dc01f50, threadWasBusy=threadWasBusy@entry=true, suspendIfInactive=suspendIfInactive@entry=false, justReturning=justReturning@entry=false) at ./src/weaver.cpp:561
#7  0x00007ff524b45dbe in ThreadWeaver::WorkingHardState::applyForWork (this=0x55e789e447c0, th=0x55e78dc01f50, wasBusy=<optimized out>) at ./src/workinghardstate.cpp:43
#8  0x00007ff524b43ae2 in ThreadWeaver::Weaver::applyForWork (this=<optimized out>, th=0x55e78dc01f50, wasBusy=<optimized out>) at ./src/weaver.cpp:575
#9  0x00007ff524b42bc3 in ThreadWeaver::Thread::run (this=0x55e78dc01f50) at ./src/thread.cpp:86
#10 0x00007ff54eb37643 in QThreadPrivate::start (arg=0x55e78dc01f50) at thread/qthread_unix.cpp:331
#11 0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#12 0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7ff549d92700 (LWP 9205)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e784a0a414) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e784a0a3c0, cond=0x55e784a0a3e8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e784a0a3e8, mutex=0x55e784a0a3c0) at pthread_cond_wait.c:647
#3  0x00007ff54eb3d6db in QWaitConditionPrivate::wait (deadline=..., this=0x55e784a0a3c0) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=this@entry=0x55e784a02c40, mutex=mutex@entry=0x55e784a02c38, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007ff54cb87b7d in QtWaylandClient::EventThread::waitForReading (this=0x55e784a02c00) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  QtWaylandClient::EventThread::run (this=0x55e784a02c00) at qwaylanddisplay.cpp:206
#7  0x00007ff54eb37643 in QThreadPrivate::start (arg=0x55e784a02c00) at thread/qthread_unix.cpp:331
#8  0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7ff526ffd700 (LWP 14083)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e78d20d804) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e78d20d7b0, cond=0x55e78d20d7d8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e78d20d7d8, mutex=0x55e78d20d7b0) at pthread_cond_wait.c:647
#3  0x00007ff54eb3d6db in QWaitConditionPrivate::wait (deadline=..., this=0x55e78d20d7b0) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=<optimized out>, mutex=0x55e7887486e0, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007ff524b43b9c in ThreadWeaver::Weaver::blockThreadUntilJobsAreBeingAssigned_locked (this=this@entry=0x55e788dff8e0, th=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  0x00007ff524b44920 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait (this=0x55e788dff8e0, th=<optimized out>, th@entry=0x55e7891c72e0, threadWasBusy=threadWasBusy@entry=true, suspendIfInactive=suspendIfInactive@entry=false, justReturning=justReturning@entry=false) at ./src/weaver.cpp:561
#7  0x00007ff524b45dbe in ThreadWeaver::WorkingHardState::applyForWork (this=0x55e789e447c0, th=0x55e7891c72e0, wasBusy=<optimized out>) at ./src/workinghardstate.cpp:43
#8  0x00007ff524b43ae2 in ThreadWeaver::Weaver::applyForWork (this=<optimized out>, th=0x55e7891c72e0, wasBusy=<optimized out>) at ./src/weaver.cpp:575
#9  0x00007ff524b42bc3 in ThreadWeaver::Thread::run (this=0x55e7891c72e0) at ./src/thread.cpp:86
#10 0x00007ff54eb37643 in QThreadPrivate::start (arg=0x55e7891c72e0) at thread/qthread_unix.cpp:331
#11 0x00007ff54e4cb609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#12 0x00007ff54e7b4133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7ff54a8db9c0 (LWP 9190)):
#0  __GI_raise (sig=sig@entry=11) at ../sysdeps/unix/sysv/linux/raise.c:50
#1  0x00007ff550c42ff5 in KCrash::defaultCrashHandler (sig=11) at ./src/kcrash.cpp:618
#2  <signal handler called>
#3  0x00007ff54eb79c6e in std::__atomic_base<QtSharedPointer::ExternalRefCountData*>::load (__m=std::memory_order_relaxed, this=<optimized out>) at /usr/include/c++/9/bits/atomic_base.h:734
#4  std::atomic<QtSharedPointer::ExternalRefCountData*>::load (__m=std::memory_order_relaxed, this=<optimized out>) at /usr/include/c++/9/atomic:519
#5  QAtomicOps<QtSharedPointer::ExternalRefCountData*>::loadRelaxed<QtSharedPointer::ExternalRefCountData*> (_q_value=...) at ../../include/QtCore/../../src/corelib/thread/qatomic_cxx11.h:239
#6  QBasicAtomicPointer<QtSharedPointer::ExternalRefCountData>::loadRelaxed (this=<optimized out>) at ../../include/QtCore/../../src/corelib/thread/qbasicatomic.h:248
#7  QtSharedPointer::ExternalRefCountData::getAndRef (obj=obj@entry=0x55e784b8ba40) at tools/qsharedpointer.cpp:1396
#8  0x00007ff54e248102 in QWeakPointer<QObject const>::QWeakPointer<QMimeData const, true> (ptr=0x55e784b8ba40, this=0x55e78db9d4c0) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qsharedpointer_impl.h:679
#9  QPointer<QMimeData const>::QPointer (p=0x55e784b8ba40, this=0x55e78db9d4c0) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qpointer.h:62
#10 KIO::PasteJobPrivate::PasteJobPrivate (clipboard=false, flags=..., destDir=..., mimeData=0x55e784b8ba40, this=0x55e78db9d460) at ./src/widgets/pastejob_p.h:26
#11 KIO::PasteJobPrivate::newJob (clipboard=false, flags=..., destDir=..., mimeData=0x55e784b8ba40) at ./src/widgets/pastejob_p.h:51
#12 KIO::DropJobPrivate::slotStart (this=0x55e79826be60) at ./src/widgets/dropjob.cpp:276
#13 0x00007ff54e24865b in KIO::DropJob::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at ./src/widgets/dropjob.h:108
#14 0x00007ff54ed4bf89 in QObject::event (this=0x55e7981cf1c0, e=0x55e784aee9c0) at kernel/qobject.cpp:1314
#15 0x00007ff54fa42dc3 in QApplicationPrivate::notify_helper (this=this@entry=0x55e7849ed8b0, receiver=receiver@entry=0x55e7981cf1c0, e=e@entry=0x55e784aee9c0) at kernel/qapplication.cpp:3637
#16 0x00007ff54fa4bbd8 in QApplication::notify (this=0x7ffec0cd0c50, receiver=0x55e7981cf1c0, e=0x55e784aee9c0) at kernel/qapplication.cpp:3161
#17 0x00007ff54ed1e3aa in QCoreApplication::notifyInternal2 (receiver=0x55e7981cf1c0, event=0x55e784aee9c0) at ../../include/QtCore/5.15.4/QtCore/private/../../../../../src/corelib/thread/qthread_p.h:332
#18 0x00007ff54ed20cb1 in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x55e7849c6ef0) at kernel/qcoreapplication.cpp:1821
#19 0x00007ff54ed79617 in postEventSourceDispatch (s=0x55e784a054e0) at kernel/qeventdispatcher_glib.cpp:277
#20 0x00007ff54d03717d in g_main_dispatch (context=0x55e784a05f00) at ../../../glib/gmain.c:3309
#21 g_main_context_dispatch (context=context@entry=0x55e784a05f00) at ../../../glib/gmain.c:3974
#22 0x00007ff54d037400 in g_main_context_iterate (context=context@entry=0x55e784a05f00, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4047
#23 0x00007ff54d0374a3 in g_main_context_iteration (context=0x55e784a05f00, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#24 0x00007ff54ed78c72 in QEventDispatcherGlib::processEvents (this=0x55e784a0a8b0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#25 0x00007ff54ed1ceab in QEventLoop::exec (this=this@entry=0x7ffec0cd0b30, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#26 0x00007ff54ed25054 in QCoreApplication::exec () at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#27 0x000055e7845f04f0 in main (argc=<optimized out>, argv=<optimized out>) at ./shell/main.cpp:240
Comment 3 Nate Graham 2022-06-02 21:52:40 UTC
Thanks.

> #10 KIO::PasteJobPrivate::PasteJobPrivate (clipboard=false, flags=..., destDir=..., mimeData=0x55e784b8ba40, this=0x55e78db9d460) at ./src/widgets/pastejob_p.h:26
> #11 KIO::PasteJobPrivate::newJob (clipboard=false, flags=..., destDir=..., mimeData=0x55e784b8ba40) at ./src/widgets/pastejob_p.h:51
> #12 KIO::DropJobPrivate::slotStart (this=0x55e79826be60) at ./src/widgets/dropjob.cpp:276
> #13 0x00007ff54e24865b in KIO::DropJob::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at ./src/widgets/dropjob.h:108
Comment 4 postix 2022-06-12 14:06:05 UTC
(SEGV) Dolphin crashed in KIO::PasteJobPrivate::PasteJobPrivate when accessing an USB drive

```
#6  0x00007fcb5a6d12aa in std::__atomic_base<QtSharedPointer::ExternalRefCountData*>::load (__m=std::memory_order_relaxed, this=<optimized out>) at /usr/include/c++/12/bits/atomic_base.h:820
#7  std::atomic<QtSharedPointer::ExternalRefCountData*>::load (__m=std::memory_order_relaxed, this=<optimized out>) at /usr/include/c++/12/atomic:579
#8  QAtomicOps<QtSharedPointer::ExternalRefCountData*>::loadRelaxed<QtSharedPointer::ExternalRefCountData*> (_q_value=...) at ../../include/QtCore/../../src/corelib/thread/qatomic_cxx11.h:239
#9  QBasicAtomicPointer<QtSharedPointer::ExternalRefCountData>::loadRelaxed (this=<optimized out>) at ../../include/QtCore/../../src/corelib/thread/qbasicatomic.h:248
#10 QtSharedPointer::ExternalRefCountData::getAndRef (obj=obj@entry=0x5591f79f6af0) at tools/qsharedpointer.cpp:1396
#11 0x00007fcb5c553060 in QWeakPointer<QObject const>::QWeakPointer<QMimeData const, true> (ptr=0x5591f79f6af0, this=0x5591f7ee68b0) at /usr/include/qt5/QtCore/qsharedpointer_impl.h:679
#12 QPointer<QMimeData const>::QPointer (p=0x5591f79f6af0, this=0x5591f7ee68b0) at /usr/include/qt5/QtCore/qpointer.h:62
#13 KIO::PasteJobPrivate::PasteJobPrivate (clipboard=false, flags=..., destDir=..., mimeData=0x5591f79f6af0, this=0x5591f7ee6850) at /usr/src/debug/kio-5.94.0-1.1.x86_64/src/widgets/pastejob_p.h:23
#14 KIO::PasteJobPrivate::newJob (clipboard=false, flags=..., destDir=..., mimeData=0x5591f79f6af0) at /usr/src/debug/kio-5.94.0-1.1.x86_64/src/widgets/pastejob_p.h:51
#15 KIO::DropJobPrivate::slotStart (this=0x7fcb4c007dd0) at /usr/src/debug/kio-5.94.0-1.1.x86_64/src/widgets/dropjob.cpp:277
#16 KIO::DropJob::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /usr/src/debug/kio-5.94.0-1.1.x86_64/build/src/widgets/KF5KIOWidgets_autogen/include/moc_dropjob.cpp:101
#17 0x00007fcb5a8a0660 in QObject::event (this=0x7fcb48014a30, e=0x7fcb44003a80) at kernel/qobject.cpp:1314
#18 0x00007fcb5b4e937e in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0x7fcb48014a30, e=0x7fcb44003a80) at kernel/qapplication.cpp:3632
#19 0x00007fcb5a874988 in QCoreApplication::notifyInternal2 (receiver=0x7fcb48014a30, event=0x7fcb44003a80) at kernel/qcoreapplication.cpp:1064
#20 0x00007fcb5a877921 in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x5591f70c4a40) at kernel/qcoreapplication.cpp:1821
#21 0x00007fcb5a8ccec3 in postEventSourceDispatch (s=0x5591f7136980) at kernel/qeventdispatcher_glib.cpp:277
#22 0x00007fcb58398ea0 in g_main_dispatch (context=0x5591f7132f30) at ../glib/gmain.c:3417
#23 g_main_context_dispatch (context=0x5591f7132f30) at ../glib/gmain.c:4135
#24 0x00007fcb58399258 in g_main_context_iterate (context=context@entry=0x5591f7132f30, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../glib/gmain.c:4211
#25 0x00007fcb583992ec in g_main_context_iteration (context=0x5591f7132f30, may_block=1) at ../glib/gmain.c:4276
#26 0x00007fcb5a8cc5a6 in QEventDispatcherGlib::processEvents (this=0x5591f7136910, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#27 0x00007fcb5a8733fb in QEventLoop::exec (this=this@entry=0x7ffc74100b00, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:69
#28 0x00007fcb5a87b566 in QCoreApplication::exec () at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#29 0x00007fcb5ad8e3bc in QGuiApplication::exec () at kernel/qguiapplication.cpp:1867
#30 0x00007fcb5b4e92f5 in QApplication::exec () at kernel/qapplication.cpp:2824
#31 0x00005591f5a71212 in main (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/dolphin-22.04.1-1.1.x86_64/src/main.cpp:217
```

SOFTWARE/OS VERSIONS
Operating System: openSUSE Tumbleweed 20220609
KDE Plasma Version: 5.24.5
KDE Frameworks Version: 5.94.0
Qt Version: 5.15.2
Kernel Version: 5.18.2-1-default (64-bit)
Graphics Platform: Wayland
Comment 5 Nate Graham 2022-06-30 16:28:49 UTC
*** Bug 456136 has been marked as a duplicate of this bug. ***
Comment 6 Bug Janitor Service 2022-07-08 14:48:00 UTC
A possibly relevant merge request was started @ https://invent.kde.org/frameworks/kio/-/merge_requests/902
Comment 7 David Edmundson 2022-07-09 08:43:20 UTC
Git commit 29bdf541aa83c78bc8e9d90487a7e1dd505ef013 by David Edmundson.
Committed on 09/07/2022 at 08:28.
Pushed by davidedmundson into branch 'master'.

Fix crash in DropJob

QMimeData is owned by the backend and can be deleted during any event
processing.

DropJob has a deferred start operation. One path in this is to call
PasteJob with mimedata. It could be dangling by this point.

Pastejob follows a similar pattern in
1d668a9fe65c5bc178487fc32e6662ff815147f6 internally but we also need to
handle this usage before PasteJob.

M  +2    -2    src/widgets/dropjob.cpp

https://invent.kde.org/frameworks/kio/commit/29bdf541aa83c78bc8e9d90487a7e1dd505ef013